Page MenuHomePhabricator

Undefined property: stdClass::$publication_year in BookManagerv2.hooks.php on line 392
Closed, DeclinedPublic

Description

Notice: Undefined property: stdClass::$publication_year in /vagrant/mediawiki/extensions/BookManagerv2/BookManagerv2.hooks.php on line 392

Call Stack:

0.0431     649384   1. {main}() /vagrant/mediawiki/index.php:0
0.1863    4663944   2. MediaWiki->run() /vagrant/mediawiki/index.php:49
0.1863    4663944   3. MediaWiki->main() /vagrant/mediawiki/includes/Wiki.php:460
1.2997   24141416   4. OutputPage->output() /vagrant/mediawiki/includes/Wiki.php:603
1.3409   24251592   5. wfRunHooks() /vagrant/mediawiki/includes/OutputPage.php:2075
1.3409   24251592   6. Hooks::run() /vagrant/mediawiki/includes/GlobalFunctions.php:4031
1.3787   24654680   7. call_user_func_array() /vagrant/mediawiki/includes/Hooks.php:199
1.3787   24655296   8. BookManagerv2Hooks::onBeforePageDisplay() /vagrant/mediawiki/includes/Hooks.php:0
1.4408   24756608   9. BookManagerv2Hooks::formatMetadata() /vagrant/mediawiki/extensions/BookManagerv2/BookManagerv2.hooks.php:531

Notice: Trying to get property of non-object in /vagrant/mediawiki/extensions/BookManagerv2/BookManagerv2.hooks.php on line 393

Call Stack:

0.0431     649384   1. {main}() /vagrant/mediawiki/index.php:0
0.1863    4663944   2. MediaWiki->run() /vagrant/mediawiki/index.php:49
0.1863    4663944   3. MediaWiki->main() /vagrant/mediawiki/includes/Wiki.php:460
1.2997   24141416   4. OutputPage->output() /vagrant/mediawiki/includes/Wiki.php:603
1.3409   24251592   5. wfRunHooks() /vagrant/mediawiki/includes/OutputPage.php:2075
1.3409   24251592   6. Hooks::run() /vagrant/mediawiki/includes/GlobalFunctions.php:4031
1.3787   24654680   7. call_user_func_array() /vagrant/mediawiki/includes/Hooks.php:199
1.3787   24655296   8. BookManagerv2Hooks::onBeforePageDisplay() /vagrant/mediawiki/includes/Hooks.php:0
1.4408   24756608   9. BookManagerv2Hooks::formatMetadata() /vagrant/mediawiki/extensions/BookManagerv2/BookManagerv2.hooks.php:531

Notice: Trying to get property of non-object in /vagrant/mediawiki/extensions/BookManagerv2/BookManagerv2.hooks.php on line 395

Call Stack:

0.0431     649384   1. {main}() /vagrant/mediawiki/index.php:0
0.1863    4663944   2. MediaWiki->run() /vagrant/mediawiki/index.php:49
0.1863    4663944   3. MediaWiki->main() /vagrant/mediawiki/includes/Wiki.php:460
1.2997   24141416   4. OutputPage->output() /vagrant/mediawiki/includes/Wiki.php:603
1.3409   24251592   5. wfRunHooks() /vagrant/mediawiki/includes/OutputPage.php:2075
1.3409   24251592   6. Hooks::run() /vagrant/mediawiki/includes/GlobalFunctions.php:4031
1.3787   24654680   7. call_user_func_array() /vagrant/mediawiki/includes/Hooks.php:199
1.3787   24655296   8. BookManagerv2Hooks::onBeforePageDisplay() /vagrant/mediawiki/includes/Hooks.php:0
1.4408   24756608   9. BookManagerv2Hooks::formatMetadata() /vagrant/mediawiki/extensions/BookManagerv2/BookManagerv2.hooks.php:531

Notice: Trying to get property of non-object in /vagrant/mediawiki/extensions/BookManagerv2/BookManagerv2.hooks.php on line 395

Call Stack:

0.0431     649384   1. {main}() /vagrant/mediawiki/index.php:0
0.1863    4663944   2. MediaWiki->run() /vagrant/mediawiki/index.php:49
0.1863    4663944   3. MediaWiki->main() /vagrant/mediawiki/includes/Wiki.php:460
1.2997   24141416   4. OutputPage->output() /vagrant/mediawiki/includes/Wiki.php:603
1.3409   24251592   5. wfRunHooks() /vagrant/mediawiki/includes/OutputPage.php:2075
1.3409   24251592   6. Hooks::run() /vagrant/mediawiki/includes/GlobalFunctions.php:4031
1.3787   24654680   7. call_user_func_array() /vagrant/mediawiki/includes/Hooks.php:199
1.3787   24655296   8. BookManagerv2Hooks::onBeforePageDisplay() /vagrant/mediawiki/includes/Hooks.php:0
1.4408   24756608   9. BookManagerv2Hooks::formatMetadata() /vagrant/mediawiki/extensions/BookManagerv2/BookManagerv2.hooks.php:531

Version: unspecified
Severity: normal

Details

Reference
bz58079

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 2:24 AM
bzimport set Reference to bz58079.
Legoktm created this task.Dec 6 2013, 5:20 AM

Change 124289 had a related patch set uploaded by Deepali:
Changed property name from publication_year to publication_date

https://gerrit.wikimedia.org/r/124289

MarcoAurelio closed this task as Declined.Nov 7 2017, 9:53 AM
MarcoAurelio added a subscriber: MarcoAurelio.

Declining because BookManagerv2 is an archived extension now. Please see T178938: Archive the BookManagerv2 extension for details. All Gerrit patches were already abandoned long ago.